/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Messages } from './messages';
import * as i0 from "@angular/core";
/**
 * Provides custom messages that override the default component messages
 * ([see example](slug:globalization_listbox#toc-custom-messages)).
 *
 * @example
 * ```typescript
 * @Component({
 *   selector: 'my-app',
 *   template: `
 *     <kendo-listbox-messages
 *       transferAllTo="Transfer All To"
 *       transferAllFrom="Transfer All From">
 *     </kendo-listbox-messages>
 *   `
 * })
 * export class AppComponent { }
 * ```
 */
export declare class CustomMessagesComponent extends Messages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomMessagesComponent, "kendo-listbox-messages", never, {}, {}, never, never, true, never>;
}
